Add/Update a listing’s date specific override

Use this API to add or update date specific overrides for a listing. **Notes** - If any override in the request fails validation, the entire request fails with 400 and no overrides are saved. - Price type option `percent_stacked` option is available only for users who have the feature enabled, if you want to use it, please reach out to [email protected].

Path parameters

listing_idstringRequired
Listing ID

Headers

X-API-KeystringRequired

Request

This endpoint expects an object.
overrideslist of objectsRequired
Date specific overrides to add or update
pmsstringRequired
PMS name of the listing
update_childrenbooleanOptional

Must be a JSON boolean (true or false). If true, the DSO is also updated for all child listings. If false or omitted, only the parent listing is updated.

Response

Success
overrideslist of objectsOptional
Successfully updated overrides for the request.
child_listings_update_infomap from strings to objectsOptional

Included when update_children is true. Maps child listing IDs to their update status. Returns an empty object if the listing has no child listings.

Errors

400
Bad Request Error